@import "functions";
@import "variables";
@import "custom";
@import "mixins";


body {
	background: $white;
	font-family: $font-family-sans-serif;
	font-weight: 400;
	font-size: 16px;
	line-height: 1.8;
	color: gray('600');
}
a {
	transition: .3s all ease;
	text-decoration: none;
	&:hover {
		text-decoration: none;
	}
}
h1, h2, h3, h4, h5 {
	color: $black;
}
.btn, .form-control {
	outline: none;
	box-shadow: none!important;
}
.btn {
	&.btn-primary {
		color: $white;
		border-width: 2px;
		&:hover, &:active, &:focus {
			border-color: lighten(theme-color('primary'), 10%); 
			background: lighten(theme-color('primary'), 10%);
		}
	}
	&.btn-sm {
		font-size: 12px;
	}
	&.btn-outline-primary {
		border-width: 2px;
		color: theme-color('primary');
		&:hover, &:focus, &:active {
			color: $white;
		}
	}
	&.btn-outline-white {
		border-width: 2px;
		border-color: $white;
		color: $white;
		text-transform: uppercase;
		font-size: 14px;
		letter-spacing: .2em;
		&:hover, &:focus {
			background: $white;
			color: $black;
		}
	}
}
/* Header */
header {
	position: relative;
	top: 0;
	left: 0;
	width: 100%;
	z-index: 5;

	.navbar-brand {
		text-transform: uppercase;
		letter-spacing: .2em;
		font-weight: 400;
		span {
			color: theme-color('primary');
		}
	}

	.top-bar {
		background: gray('300');
		a {
			color: $white;
			padding: 10px;
			font-size: 13px;
			display: inline-block;
			&:hover {
				
			}
		}
		.cta-btn {
			display: inline-block;
			padding-right: 15px;
			padding-left: 15px;
			background: color('cyan');
			&:hover {
				box-shadow: 2px 0 20px 0 rgba(0,0,0,.1);
			}
		}
		.social {
			margin-bottom: 0;
			li {
				display: inline-block;
				text-align: center;
				a {
					color: $white;
					padding: 10px;
					width: 40px;
					display: inline-block;
					@include media-breakpoint-down(md) {
						padding-left: 10px;
						padding-right: 10px;
						width: inherit;
					}
					&:hover {
						background: color('cyan');
						color: $white;
						box-shadow: 2px 0 20px 0 rgba(0,0,0,.1);
					}
				}
			}
		}
	}
	.navbar {
		padding-top: 0;
		padding-bottom: 0;
		background: rgba(255,255,255,1)!important;
		@include media-breakpoint-down(lg) {
			background: rgba(255,255,255,1)!important;
			padding-top: .5rem;
			padding-bottom: .5rem;
		}
		.nav-link {
			padding: 1.7rem 1rem;
			outline: none!important;
			@include media-breakpoint-down(lg) {
				padding: .5rem 0rem;
			}
			&.active {
				color: theme-color('primary')!important;
			}
		}

		.dropdown-menu {
			font-size: 14px;
			border-radius: 0px;
			border: none;
			box-shadow: 0 2px 30px -2px rgba(0,0,0,.2);
			min-width: 13em;
			position: relative;
			margin-top: -10px;

			.dropdown-item {
				
				&:hover {
					background: theme-color('primary');
					color: $white;	
				}
				&.active {
					background: theme-color('primary');
					// background: gray('100');
					color: $white;
				}
			}
			a {
				padding-top: 7px;
				padding-bottom: 7px;

			}
		}
		.cta-btn {
			a {
				background: theme-color('primary');
				color: $black!important;
				padding-left: 20px!important;

				padding-right: 20px!important;
				text-transform: uppercase;
				padding-top: 26px!important;
				padding-bottom: 26px!important;
				line-height: 1;
				transition: .3s all ease;
				&:hover {
					color: $white!important;
					box-shadow: 2px 0 30px -5px rgba(theme-color('primary'), .9);
				}
			}
		}
	}
}

// Home CTA Overlap
.cta-overlap {
	margin-top: -4em;
	position: relative;
	z-index: 100;
	.text {
		background: theme-color('primary');
		padding: 3em 2em;
		box-shadow: 0 1px 30px -4px rgba(0,0,0,.2);
		@include media-breakpoint-down(md) {
			padding: 30px 15px;
			display: block!important;
			text-align: center;
		}
		h2 {
			margin-bottom: 0;
			color: $white;
			@include media-breakpoint-down(md) {
				margin-bottom: 20px;
				font-size: 26px;
			}
		}
		.btn-wrap {
			@include media-breakpoint-down(md) {
			}
		}
	}
}

// Flaticon 
.custom-icon {
	font-size: 70px;
	color: theme-color('primary');
}

/* Owl Carousel */
.owl-carousel {
	.owl-item {
		opacity: .4;
		&.active {
			opacity: 1;
		}
	}
	
	.owl-nav {
		position: absolute;
		top: 50%;
		width: 100%;
		.owl-prev,
		.owl-next {
			position: absolute;
			transform: translateY(-50%);
			margin-top: -10px;
			&:hover, &:focus, &:active {
				outline: none;
			}
			span {
				&:before {
					font-size: 40px;
				}
			}
		}
		.owl-prev {
			
			left: 30px!important;
			// border: 1px solid red;
		}
		.owl-next {
			right: 30px!important;
		}
	}
	.owl-dots {
		text-align: center;
		.owl-dot {
			width: 10px;
			height: 10px;
			margin: 5px;
			border-radius: 50%;
			background: lighten($black, 90%);
			&.active {
				background: theme-color('primary');
			}
		}
	}

	// big slider
	&.home-slider {
		z-index: 1;
		position: relative;
		.owl-nav {
			opacity: 0;
			visibility: hidden;
			transition: .3s all ease;
			button {
				color: $white;
			}
		}
		&:focus, &:hover {
			.owl-nav {
				opacity: 1;
				visibility: visible;
			}
		}

		.slider-item {
			background-size: cover;
			background-repeat: no-repeat;
			background-position: center center;
			height: calc(100vh - 117px);
			min-height: 700px;	
			.slider-text {
				color: $white;
				height: calc(100vh - 117px);
				min-height: 700px;
				h1 {
					font-size: 40px;
					color: $white;
					line-height: 1.2;
					font-weight: 800!important;
					text-transform: uppercase;
					@include media-breakpoint-down(md) {
						font-size: 40px;
					}
				}
				p {
					font-size: 20px;
					line-height: 1.5;
					font-weight: 300;
					color: rgba(255,255,255,1);
				}
			}
		}
		&.inner-page {
			.slider-item {
				height: calc(50vh - 117px);
				min-height: 500px;	
				.slider-text {
					color: $white;
					height: calc(50vh - 117px);
					min-height: 500px;
				}
			}
		}
		.owl-dots {
			position: absolute;
			bottom: 150px;
			width: 100%;

			.owl-dot {
				width: 18px;
				height: 18px;
				margin: 5px;
				border-radius: 50%;
				background: lighten($black, 90%);
				background: none;
				border: 2px solid rgba(255,255,255,.5);
				outline: none!important;
				position: relative;
				transition: .3s all ease;
				span {	
					position: absolute;
					width: 6px;
					height: 6px;
					background: rgba(255,255,255,.5 );
					border-radius: 50%!important;
					left: 50%;
					top: 50%;
					display: block;
					transform: translate(-50%, -50%);
				}	
				&.active {
					border: 2px solid rgba(255,255,255,1);
					span {	
						background: rgba(255,255,255,1);
					}	
				}
			}

		}
	}
	&.major-caousel {
		.owl-stage-outer {
			padding-top: 30px;
			padding-bottom: 30px;
		}
		.owl-nav {
			.owl-prev, .owl-next {
				transition: .3s all ease;
				color: gray('700');
				&:hover, &:focus {
					color: gray('600');
					outline: none;
				}
				&.disabled {
					color: gray('300');
				}
			}
			.owl-prev {
				left: -60px!important;
			}
			.owl-next {
				right: -60px!important;
			}
		}
		.owl-dots {
			bottom: -30px!important;
			position: relative;
		}
	}
}
.owl-custom-nav {
	float: right;
	position: relative;
	z-index: 10;
	.owl-custom-prev,
	.owl-custom-next {
		padding: 10px;
		font-size: 30px;
		background: #ccc;
		line-height: 0;
		width: 60px;
		text-align: center;
		display: inline-block;
	}
} 


// Section
.section {
	padding: 7em 0;
}
// Call to action
.cta-link {
	background: theme-color('primary');
	padding: 3.5em 0 3em 0;
	display: block;
	text-align: center;
	&:focus, &:active {
		outline: none;
	}
	span {
		line-height: 1.2;
	}
	.sub-heading {
		color: $white;
		display: block;
		font-size: 20px;
	}
	.heading {
		font-size: 50px;
		color: darken(theme-color('primary'), 40%);
		@include media-breakpoint-down(md) {
			font-size: 30px;
		}
	}
	&:hover {
		background: darken(theme-color('primary'), 5%);
	}
}
.cover_1 {
	background-size: cover;
	background-position: center center;
	padding: 7em 0;
	.sub-heading {
		color: rgba(255,255,255,.7);
		font-size: 22px;
	}
	.heading {
		font-size: 50px;
		color: rgba(255,255,255,1);
		font-weight: 300;
	}
}
.heading {
	color: $black;
	&.border-bottom {
		position: relative;
		padding-bottom: 30px;
		&:before {
			bottom: 0;
			position: absolute;
			content: "";
			width: 50px;
			height: 2px;
			left: 50%;
			transform: translateX(-50%);
			background: theme-color('primary');
		}
	}
}
.text-black {
	color: $black!important;
}
// Stretch
.stretch-section {
	.video {
		display: block;
		position: relative;
		box-shadow: 4px 4px 70px -20px rgba(0,0,0,.5);
	}
}

.media-feature {
	padding:30px;
	transition: .2s all ease-out;
	background: $white;
	z-index: 1;
	position: relative;
	border-bottom: 10px solid transparent;
	border-radius: 4px;
	font-size: 15px;
	.icon {
		font-size: 60px;
		color: theme-color('primary');
	}
	h3 {
		font-size: 16px;
		text-transform: uppercase;
	}
	&:hover, &:focus {
		box-shadow: 0 2px 20px -3px rgba(0,0,0,.1);
		transform: scale(1.05);
		z-index: 2;
		border-bottom: 10px solid theme-color('primary');
	}
}

.media-custom {
	background: $white;
	transition: .3s all ease;
	margin-bottom: 30px;
	.meta-post {
		color: gray('400');
		font-size: 13px;
		text-transform: uppercase;
	}
	.meta-chat {
		color: gray('400');
		&:hover {
			color: gray('600');
		}
	}
	&:focus, &:hover {
		box-shadow: 0 2px 10px 0 rgba(0,0,0,.2);
	}
	.media-body {
		padding: 30px;
		h3 {
			font-size: 20px;
		}
		p {
			&:last-child {
				margin-bottom: 0;
			}
		}
	}
}

.media-testimonial {
	img {
		width: 100px;
		border-radius: 50%;
	}
	blockquote {
		p {
			font-size: 20px;
			color: $black;
			font-style: italic;
		}
	}
}

// list style
.list-unstyled {
	&.check {
		li {
			position: relative;
			padding-left: 30px;
			line-height: 1.3;
			margin-bottom: 10px;
			&:before {
				color: color('cyan');
				left: 0;
				font-family: "Ionicons"; 
				content: "\f122";
				position: absolute;
			}
		}
	}
}



// Modal
#modalAppointment {
	.modal-content {
		border-radius: 0;
		border: none;
	}
	.modal-body, .modal-footer {
		padding: 40px;
	}
}

// Footer
.site-footer {
	padding: 5em 0;
	background: lighten(#ccc, 15%);
	// text-transform: uppercase;
	font-size: 13px;
	p {
		&:last-child {
			margin-bottom: 0;
		}
	}
	
	a {
		color: theme-color('primary');
		&:hover {
			color: theme-color('primary');
		}
	}
	h3 {
		font-size: 15px;
		margin-bottom: 20px;
	}
	.footer-link {
		li {
			line-height: 1.5;
			margin-bottom: 15px;
		}
	}
	hr {
		width: 100%;
	}

}
.footer-social {
	a {
		line-height: 0;
		border-radius: 50%;
		margin: 0 5px 5px 0;
		border: 1px solid #ccc;
		width: 30px;
		height: 30px;
		text-align: center;
		display: inline-block;
		&:hover {
			background: theme-color('primary');
			border-color: theme-color('primary');
			color: $white;
		}
	}
}

.link-thumbnail {
	display: block;
	position: relative;
	overflow: hidden;
	text-align: center;
	img {
		position: relative;
		transition: .3s all ease;
	}
	.icon {
		position: absolute;
		transition: .3s all ease;
		z-index: 4;
		top: 50%;
		font-size: 30px;
		color: $white;
		left: 50%;
		transform: translate(-50%, -50%);
		opacity: 0;
		visibility: hidden;
		margin-top: 30px;
	}
	h3 {
		opacity: 0;
		visibility: hidden;
		position: absolute;
		bottom: -20px;
		left: 0;
		color: $white;
		font-size: 18px;
		transition: .5s all ease;
		z-index: 10;
		left: 50%;
		transform: translateX(-50%);
	}
	&:before {
		opacity: 0;
		visibility: hidden;
		z-index: 2;
		transition: .3s all ease;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		content: "";
		background: rgba(0,0,0,.6);
		position: absolute;

	}
	&:hover {
		h3 {
			opacity: 1;
			visibility: visible;
			bottom: 0px;
		}
		img {
			transform: scale(1.1);
		}
		.icon {
			opacity: 1;
			visibility: visible;
			margin-top: 0px;
		}
		&:before {
			opacity: 1;
			visibility: visible;
			
		}
	}
}

.border-t {
	border-top: 1px solid gray('100');
}

.copyright {
	font-size: 14px;
}

// animate
.element-animate {
	opacity: 0;
	visibility: hidden;
}

// loader

#loader {
	position: fixed;
	width:  96px;
	height: 96px;
	left:  50%;
	top: 50%;
	transform: translate(-50%, -50%);
	background-color: rgba(255,255,255,0.9);
	box-shadow: 0px 24px 64px rgba(0,0,0,0.24);
	border-radius:16px;
	opacity: 0; 
	visibility: hidden;
	transition: opacity .2s ease-out, visibility 0s linear .2s;
	z-index:1000;
}

#loader.fullscreen {
	padding:  0;
	left:  0;
	top:  0;
	width:  100%;
	height: 100%;
	transform: none;
	background-color: #fff;
	border-radius: 0;
	box-shadow: none;
}

#loader.show {
	transition: opacity .4s ease-out, visibility 0s linear 0s;
	visibility: visible;
	opacity: 1;
}

#loader .circular {
  animation: loader-rotate 2s linear infinite;
  position: absolute;
  left:  calc(50% - 24px);
  top:  calc(50% - 24px);
  display: block;
  transform: rotate(0deg);
}

#loader .path {
  stroke-dasharray: 1, 200;
  stroke-dashoffset: 0;
  animation: loader-dash 1.5s ease-in-out infinite;
  stroke-linecap: round;
}

@keyframes loader-rotate {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes loader-dash {
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -35px;
  }
  100% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -136px;
  }
}

.background-img-content h1.feature-title {
	font-size: 40px;
	color: #fff;
	line-height: 1.2;
	font-weight: 800 !important;
	text-transform: uppercase;
  }